import { IGXE, IGXA } from "@intelligentgraphics/igd.productdata";
import { Settings } from "./Backend";
export interface ArticleMetaData {
}
export interface Data {
    getCatalogItems(): IGXA.TAnyItem[];
    getProperties(articleId: string): Record<string, IGXE.IProperty>;
    getDefaultConfiguration(articleId: string): IGXE.IArticleConfiguration;
}
export declare const loadData: (settings: Settings) => Promise<Data>;
export declare const createDataAPI: (rawData: import("./Formats").ModelsFile, settings: Settings) => Data;
